Bug 228199 - grub install is incomplete in a mac book pro if the / partition is inside LVM
grub install is incomplete in a mac book pro if the / partition is inside LVM
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-02-11 06:23 EST by Rafael Ávila de Espíndola
Modified: 2008-05-06 15:12 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 15:12:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rafael Ávila de Espíndola 2007-02-11 06:23:53 EST
Description of problem:
I have installed fedora core 6 in a mac book pro with the following partition
layout:

1 efi
2 mac os
3 /boot
4 lvm pv (with / and /home as two lv)

After the install process was complete, fedora wasn't available in the refit
boot menu. I had to sync the partition tables using refit, boot with the dvd
into rescue mode and run

chroot /mnt/sysimage
sfdisk --force -c /dev/sda 3 83
grub-install /dev/sda3

Version-Release number of selected component (if applicable):
Fedora Unity Fedora Core 6 Re-Spins

How reproducible:
Just install with the above layout.
Comment 1 Jeremy Katz 2007-02-26 14:35:52 EST
This should be done correctly -- can you reproduce the problem with FC6 GA?
Comment 2 Rafael Ávila de Espíndola 2007-03-01 02:42:35 EST
This is my "production" laptop, so I intend to reinstall only with some test
version of fedora 7.

Sorry
Comment 3 Wade Mealing 2007-04-02 00:41:01 EDT
(FC6) / on lvm    -macbook (non pro) works for me
(FC7T2) / on lvm  -macbook (non pro) works for me.
Comment 4 Rafael Ávila de Espíndola 2007-06-09 04:25:13 EDT
F7 i386 macbook pro: ok
F7 x86_64 macbook pro: very same problem
Comment 5 Bug Zapper 2008-04-04 02:11:14 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 6 Xeniya 2008-05-06 13:44:39 EDT
F7 x86_64 mac pro: reproduced
After install all selected packages Anaconda report "Installing bootloader..."
and give booty try to do following:

root (hd0,2)
install  /grub/stage1 d (hd0,2) /grub/stage2 p (hd0,2)/grub/grub.conf

these command are failed with error from grub "No such partition".
In this moment grub can detect only (hd0,0), but if reboot system grub will
detect all partition.
Comment 7 Bug Zapper 2008-05-06 15:12:32 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.